# reverse-index-builder.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties

# override(s)
default.environment=prod
default.environment_dtp=prod
default.home_folder=/home/orchestrator/sophia/goal/codifica
log4j.configuration=${default.home_folder}/reverse-index-builder-log4j2.xml
aws.credentials=${default.home_folder}/AwsCredentials.properties

document_store.class_name=com.alkemytech.sophia.goal.document.NoSqlDocumentStore
document_store.home_folder=${reverse_index_builder.local_folder}/document.nosql
#document_store.cache_size=8K
document_store.read_only=true

iswc_index.home_folder=${reverse_index_builder.local_folder}/iswc.index
iswc_index.read_only=false

isrc_index.home_folder=${reverse_index_builder.local_folder}/isrc.index
isrc_index.read_only=false

title_index.home_folder=${reverse_index_builder.local_folder}/title.index
title_index.read_only=false

artist_index.home_folder=${reverse_index_builder.local_folder}/artist.index
artist_index.read_only=false


# reverse index builder
#reverse_index_builder.locked=false
reverse_index_builder.bind_port=4444
#reverse_index_builder.heartbeat=100000
# iswc
reverse_index_builder.iswc.create=true
# isrc
reverse_index_builder.isrc.create=true
# title
#reverse_index_builder.title.spell_numbers=true
reverse_index_builder.title.create=true
# artist
#reverse_index_builder.artist.spell_numbers=true
reverse_index_builder.artist.create=true

reverse_index_builder.local_folder=${default.home_folder}/knowledge-base





